RhythmicMotifDetectorHanson

motif

## Class RhythmicMotifDetectorHanson

- java.lang.Object
- - motif.RhythmicMotifDetectorHanson

- All Implemented Interfaces:
    MotifDetector

      public class RhythmicMotifDetectorHanson
      extends java.lang.Object
      implements MotifDetector

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `MAX_MOTIF_EXTENSION`
    `private int` | `sizeOffset`
    `private java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhythmicMotifDetectorHanson()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `detect(int intervalStartIndex, java.lang.Double[] postIntervals, java.lang.Double[] preIntervals, java.lang.Double[] postIntervalPattern, java.lang.Double[] preIntervalPattern, java.lang.Double[] durations, java.lang.Double[] durationsPattern)`
    `int` | `getSizeOffset()`
    `java.lang.String` | `getType()`
    `void` | `setMaxMotifExtension(int mme)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_MOTIF_EXTENSION

          private static int MAX_MOTIF_EXTENSION

    - #### type

          private java.lang.String type

    - #### sizeOffset

          private int sizeOffset

  - ### Constructor Detail

    - #### RhythmicMotifDetectorHanson

          public RhythmicMotifDetectorHanson()

  - ### Method Detail

    - #### setMaxMotifExtension

          public void setMaxMotifExtension(int mme)

    - #### detect

          public boolean detect(int intervalStartIndex,
                       java.lang.Double[] postIntervals,
                       java.lang.Double[] preIntervals,
                       java.lang.Double[] postIntervalPattern,
                       java.lang.Double[] preIntervalPattern,
                       java.lang.Double[] durations,
                       java.lang.Double[] durationsPattern)

      Specified by:
        `detect` in interface `MotifDetector`

    - #### getSizeOffset

          public int getSizeOffset()

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `MotifDetector`